<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('daily_accident_settings', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('key', 70)->nullable();
            $table->string('name', 70)->nullable();
            $table->string('value', 100)->nullable();
            $table->string('type', 70)->nullable();
            $table->text('validation')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('daily_accident_settings');
    }
};
